=== doc/requirements.txt ===
sphinx>=4.2.0
sphinx-rtd-theme
