=== debian/changelog ===
python-oracledb (1.2.1-3build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:03:39 +0000

python-oracledb (1.2.1-3build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:04:01 +0000

python-oracledb (1.2.1-3build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:36 +0100

python-oracledb (1.2.1-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:46:09 +0000

python-oracledb (1.2.1-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:47:12 +0000

python-oracledb (1.2.1-3build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:37:54 -0500

python-oracledb (1.2.1-3) unstable; urgency=medium

  * [65915e9] fix Vcs URLs
  * [f4c2498] install upstream release notes as changelog
  * [78a9deb] use proper :native qualifier for p3-all-dev now that
    dh-python supports it

 -- Joseph Nahmias <jello@debian.org>  Tue, 10 Jan 2023 11:22:06 -0500

python-oracledb (1.2.1-2) unstable; urgency=medium

  * source-only upload for entrance to testing.

 -- Joseph Nahmias <jello@debian.org>  Sun, 08 Jan 2023 10:42:53 -0500

python-oracledb (1.2.1-1) unstable; urgency=medium

  * Initial release
  * [b0bbd07] do not build the thick-mode driver
    it requires the non-free oracle client libraries to run.
  * [5e0bf2f] fix install location of docs
  * [9b41588] lintian override for source-is-missing on tutorial HTML page.
    File is not generated as far as I know, it just puts an entire long
    paragraph <p>...</p> on a single text line -- which displeases lintian.
  * [cb9113b] build docs in -indep target and use B-D-I accordingly
  * [a0e7626] try to fix cross-build
  * [1e6dbbb] really fix build-deps for proper cross-building.
    Thanks to Helmut Grohne!

 -- Joseph Nahmias <jello@debian.org>  Fri, 06 Jan 2023 15:20:22 -0500
