=== debian/control ===
Source: python-oracledb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject (>= 5.20230109~),
 cython3:native,
 libpython3-all-dev,
 python3-all-dev:native,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://oracle.github.io/python-oracledb
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-oracledb
Vcs-Git: https://salsa.debian.org/python-team/packages/python-oracledb.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: Python driver for Oracle Database
 python-oracledb is a Python programming language extension module allowing
 Python programs to connect to Oracle Database. It is the renamed, new major
 release of the popular cx_Oracle driver.
 .
 The module conforms to the Python Database API 2.0 specification with a
 considerable number of additions and a couple of minor exclusions
 .
 Oracle client libraries are NOT necessary when connecting using "Thin" mode,
 which is the default, but requires Oracle Database Server 12.1 or later --
 which was initially released in July 2013.

Package: python3-oracledb
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python-oracle-doc
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the "Thin" mode driver for Python 3.

Package: python-oracledb-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.
