=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=oracledb

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/src/ build/html
endif

override_dh_installdocs:
	dh_installdocs --package=python3-oracledb
	dh_installdocs --package=python-oracledb-doc --doc-main-package=python3-oracledb

override_dh_installchangelogs:
	dh_installchangelogs doc/src/release_notes.rst
