=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-oracledb-$1.tar.gz%" \
   https://github.com/oracle/python-oracledb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
